Bug 785678 - semanage is sending the wrong kind of audit events
semanage is sending the wrong kind of audit events
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: policycoreutils (Show other bugs)
6.2
All Linux
urgent Severity high
: rc
: ---
Assigned To: Daniel Walsh
Milos Malik
: ZStream
Depends On: 784595
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-30 05:11 EST by RHEL Product and Program Management
Modified: 2012-02-14 16:42 EST (History)
9 users (show)

See Also:
Fixed In Version: policycoreutils-2.0.83-19.21.el6_2
Doc Type: Bug Fix
Doc Text:
The semanage utility did not produce correct audit messages in the Common Criteria certified environment. This update modifies semanage so that it now sends correct audit events when the user is assigned to or removed from a new role. This update also modifies behavior of semanage concerning the user's SELinux Multi-Level Security (MLS) and Multi-Category Security (MCS) range. The utility now works with the user's default range of the MLS/MCS security level instead of the lowest. In addition, the semange(8) manual page has been corrected to reflect the current semanage functionality.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-14 16:42:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2012-01-30 05:11:18 EST
This bug has been copied from bug #784595 and has been proposed
to be backported to 6.2 z-stream (EUS).
Comment 4 Daniel Walsh 2012-01-30 16:30:43 EST
Fixed in policycoreutils-2.0.83-19.19.el6_2
Comment 14 Daniel Walsh 2012-02-07 14:49:05 EST
Fixed in policycoreutils-2.0.83-19.21.el6_2
Comment 16 Miroslav Svoboda 2012-02-14 12:49:49 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The semanage utility did not produce correct audit messages in the Common Criteria certified environment. This update modifies semanage so that it now sends correct audit events when the user is assigned to or removed from a new role.

This update also modifies behavior of semanage concerning the user's SELinux Multi-Level Security (MLS) and Multi-Category Security (MCS) range. The utility now works with the user's default range of the MLS/MCS security level instead of the lowest.

In addition, the semange(8) manual page has been corrected to reflect the current semanage functionality.
Comment 17 errata-xmlrpc 2012-02-14 16:42:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0134.html

Note You need to log in before you can comment on or make changes to this bug.